# ACE_Refcounted_Hash_Recyclable< T > Class Template Reference

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Refcounted_Hash_Recyclable< T >:

[legend]
Collaboration diagram for ACE_Refcounted_Hash_Recyclable< T >:

[legend]
List of all members.

## Public Member Functions

| ACE_Refcounted_Hash_Recyclable (void)
| Default constructor.
| ACE_Refcounted_Hash_Recyclable (const T &t, int refcount=0, ACE_Recyclable_State state=ACE_RECYCLABLE_UNKNOWN)
| Constructor.
virtual | ~ACE_Refcounted_Hash_Recyclable (void)
| Destructor.
bool | operator== (const ACE_Refcounted_Hash_Recyclable< T > &rhs) const
| Compares two instances.
bool | operator!= (const ACE_Refcounted_Hash_Recyclable< T > &rhs) const
T & | subject ()

## Protected Member Functions

u_long | hash_i (void) const
| Computes and returns hash value.

## Protected Attributes

T | t_

### template<class T>
class ACE_Refcounted_Hash_Recyclable< T >

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Refcounted_Hash_Recyclable< T >::ACE_Refcounted_Hash_Recyclable | ( | void |  | ) |

| Default constructor.

template<class T>
ACE_INLINE ACE_Refcounted_Hash_Recyclable< T >::ACE_Refcounted_Hash_Recyclable | ( | const T & | t,
|  | int | refcount = `0`,
|  | ACE_Recyclable_State | state = `ACE_RECYCLABLE_UNKNOWN`
| ) |

| Constructor.

template<class T>
ACE_Refcounted_Hash_Recyclable< T >::~ACE_Refcounted_Hash_Recyclable | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T>
ACE_INLINE u_long ACE_Refcounted_Hash_Recyclable< T >::hash_i | ( | void |  | ) | const`[protected, virtual]`

| Computes and returns hash value. Implements ACE_Hashable.

template<class T>
ACE_INLINE bool ACE_Refcounted_Hash_Recyclable< T >::operator!= | ( | const ACE_Refcounted_Hash_Recyclable< T > & | rhs | ) | const

template<class T>
ACE_INLINE bool ACE_Refcounted_Hash_Recyclable< T >::operator== | ( | const ACE_Refcounted_Hash_Recyclable< T > & | rhs | ) | const

| Compares two instances.

template<class T>
ACE_INLINE T & ACE_Refcounted_Hash_Recyclable< T >::subject | ( |  | ) |

## Member Data Documentation

template<class T>
T ACE_Refcounted_Hash_Recyclable< T >::t_`[protected]`

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp
- Strategies_T.inl